Bug 139878 - system hard locks when lm_sensors is started
system hard locks when lm_sensors is started
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: lm_sensors (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-18 11:48 EST by John H. Hammond
Modified: 2015-03-04 20:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-23 11:50:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John H. Hammond 2004-11-18 11:48:06 EST
Description of problem:
When 'sensors -s' is run, system hard locks (i.e. requires power
cycling to reset) IF lm85 is present AND cpu core temperature is >50C.
 This can be avoided if the lm85 section in sensors.conf has the:
set temp1_max
set temp2_max
parameters set to something above the current CPU temp (in my case, I
changed them both to 70C).

Version-Release number of selected component (if applicable):
lm_sensors-2.8.7-2

How reproducible:
Always

Steps to Reproduce:
1. install FC3 on a machine with an lm85 sensor chip
2. run sensors-detect
3. wait until CPU core temperature is above 50C
4. start lm_sensors

Additional info:

This bug was noticed on a Dell Pentium 4 (with typically terrible OEM
cooling) where the CPU temperature routinely hits 68C with 100% CPU
usage.  With all the hot running Prescott cored CPUs in wide use
today, perhaps changing the default value of temp1_max and temp2_max
(at least for sensor chips commonly used on P4s) to something higher
might be in order?
Comment 1 Phil Knirsch 2005-05-23 11:50:10 EDT
The current lm_sensors-2.9.1 which is in devel has 65C resp. 70C for temp1_max
resp. temp2_max for that chipset and i'd rather not deviate from these obviously
recommended values.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.